%define name	flow-tools
%define version	0.63
%define release 2mdk

Summary:	Tool set for working with NetFlow data version %{version}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Monitoring
URL:		http://www.splintered.net/sw/flow-tools/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-tag.patch.bz2
BuildRequires:	docbook-utils openjade bison flex zlib-devel glibc-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Flow-tools is library and a collection of programs used to
collect, send, process, and generate reports from NetFlow data.
The tools can be used together on a single server or distributed
to multiple servers for large deployments. The flow-toools library
provides an API for development of custom applications for NetFlow
export versions 1,5,6 and the 14 currently defined version 8
subversions.

%package devel
Summary:	Development headers and libraries for %{name}
Group:		Development/C

%description devel
Development headers and libraries for %{name}

%prep
%setup -q 
%patch0 -b .tags

%build
aclocal; automake; autoconf

# OE: My assumption is that %%{_sysconfdir}/ft is the 
# way to do it. Correct me if I'm wrong...

./configure \
    --enable-static \
    --enable-shared \
    --prefix=%{_prefix} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --libdir=%{_libdir}/%{name} \
    --libexecdir=%{_libdir}/%{name} \
    --localstatedir=%{_sysconfdir}/ft \
    --localstatedir=%{_localstatedir} \
    --sharedstatedir=%{_sharedstatedir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}

%make CFLAGS="%{optflags}"

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall localstatedir=%{buildroot}%{_sysconfdir}/ft

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README SECURITY TODO
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/ft/cfg/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/ft/sym/*
%{_bindir}/*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%doc docs/*.html
%{_includedir}/*
%{_libdir}/*.a

%changelog
* Sat Mar 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.63-2mdk
- rebuilt for 9.1
- misc spec file fixes

* Fri Dec 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.63-1mdk
- initial cooker contrib
- used and fixed the provided spec file
